Bug 960923 - Discrepancies between clamd init and clamd config file
Discrepancies between clamd init and clamd config file
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: clamav (Show other bugs)
el6
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 06:16 EDT by John Horne
Modified: 2013-11-07 14:18 EST (History)
6 users (show)

See Also:
Fixed In Version: clamav-0.98-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 14:19:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Horne 2013-05-08 06:16:55 EDT
Description of problem:
The /etc/init.d/clamd file has discrepancies with the supplied /etc/clamd.conf file:

1) The 'config:' line is: # config: /etc/clamav.conf
   but the config file is actually /etc/clamd.conf

2) The 'stop' function has the wrong path for the socket file. The line is 
   currently: rm -f /var/clamav/clamd.socket
   but the clamd.conf file has: LocalSocket /var/run/clamav/clamd.sock





Version-Release number of selected component (if applicable):
clamd-0.97.8-1.el6.x86_64

How reproducible:
Install the 'clamd' package.
'grep' for 'sock' in /etc/init.d/clamd and /etc/clamd.conf
The differences will then be seen.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
The /etc/init.d/clamd and /etc/clamd.conf files should contain the same paths for the socket and config files.

Additional info:
This problem probably does not cause any 'fault' as seen by the user. The socket is only removed when clamav is stopped. The sock path from the /etc/clamd.conf file will remain, but will probably just be reused whenever clamd is restarted. So no error seen (although I haven't tested that).
Comment 1 Fedora Update System 2013-10-06 12:55:09 EDT
clamav-0.98-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.98-1.el6
Comment 2 Fedora Update System 2013-10-06 12:59:42 EDT
clamav-0.98-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clamav-0.98-1.el5
Comment 3 Fedora Update System 2013-10-08 13:44:20 EDT
Package clamav-0.98-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing clamav-0.98-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11764/clamav-0.98-1.el5
then log in and leave karma (feedback).
Comment 4 John Horne 2013-10-09 06:20:59 EDT
This bug report should have included discrepancies with the PID file location as well. My fault, sorry.

The /etc/init.d/clamd file has the comment:
# pidfile: /var/run/clamav/clamd.pid

which is correct according to the /etc/clamd.conf config file.

But in /etc/init.d/clamd the 'stop' section has the following command:
rm -f /var/run/clamav/clamav.pid


So in /etc/init.d/clamd the PID file comment is correct, but the actual 'rm' command is not.
Comment 5 Fedora Update System 2013-10-14 12:07:07 EDT
clamav-0.98-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Robert Scheck 2013-10-19 07:57:17 EDT
John, this issue will be really fixed with the next build of clamav. I would
like to avoid another build which would delay EPEL 5 clamav update unnecessary.
Here are the commits to VCS:

- http://pkgs.fedoraproject.org/cgit/clamav.git/commit/?h=el6&id=9fa6d109df873b43c0c93dc7fe48c8588d625899
- http://pkgs.fedoraproject.org/cgit/clamav.git/commit/?h=el5&id=d7b1ce8729238f27419fdf29ac603b2c61eb45f4
Comment 7 Fedora Update System 2013-10-23 04:46:00 EDT
clamav-0.98-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.98-2.el6
Comment 8 Fedora Update System 2013-10-23 04:46:56 EDT
clamav-0.98-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clamav-0.98-2.el5
Comment 9 Fedora Update System 2013-10-23 14:18:39 EDT
Package clamav-0.98-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing clamav-0.98-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11930/clamav-0.98-2.el5
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-10-23 14:19:35 EDT
clamav-0.98-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-11-07 14:16:13 EST
clamav-0.98-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-11-07 14:18:16 EST
clamav-0.98-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.